curl --request GET \
--url https://api.blockradar.co/v1/rates/{id}/history \
--header 'x-api-key: <api-key>'{
"data": [
{
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"fromAsset": "BNB",
"toAsset": "USDC",
"network": "testnet",
"rate": "1",
"minAmount": "0.000005",
"isActive": false,
"maxAmount": null,
"status": "deactivated",
"version": 1,
"previousRateId": null,
"rootRateId": null,
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": "2026-02-25T18:13:48.113Z",
"deactivationReason": "re",
"createdAt": "2026-02-19T07:50:17.042Z",
"updatedAt": "2026-02-25T18:13:48.101Z"
}
],
"message": "Rate history retrieved successfully",
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
},
"statusCode": 200
}Retrieves historical snapshots for a specific rate.
Use this endpoint to fetch the rate’s history over time (for an asset pair), typically used for auditing, analytics, or charting.
GET https://api.blockradar.co/v1/rates/:id/history
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to retrieve history for. |
curl --request GET \
--url https://api.blockradar.co/v1/rates/{id}/history \
--header 'x-api-key: <api-key>'{
"data": [
{
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"fromAsset": "BNB",
"toAsset": "USDC",
"network": "testnet",
"rate": "1",
"minAmount": "0.000005",
"isActive": false,
"maxAmount": null,
"status": "deactivated",
"version": 1,
"previousRateId": null,
"rootRateId": null,
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": "2026-02-25T18:13:48.113Z",
"deactivationReason": "re",
"createdAt": "2026-02-19T07:50:17.042Z",
"updatedAt": "2026-02-25T18:13:48.101Z"
}
],
"message": "Rate history retrieved successfully",
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
},
"statusCode": 200
}"rate_id"
200
Show child attributes
[
{
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"fromAsset": "BNB",
"toAsset": "USDC",
"network": "testnet",
"rate": "1",
"minAmount": "0.000005",
"isActive": false,
"maxAmount": null,
"status": "deactivated",
"version": 1,
"previousRateId": null,
"rootRateId": null,
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": "2026-02-25T18:13:48.113Z",
"deactivationReason": "re",
"createdAt": "2026-02-19T07:50:17.042Z",
"updatedAt": "2026-02-25T18:13:48.101Z"
}
]"Rate history retrieved successfully"
Show child attributes
200